> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/creator/content-creator-ko/sdk7/blockchain/create-a-dapp.md).

# dApp 만들기

자체 탈중앙화 앱을 만드는 참고 자료

Decentraland의 스마트 계약과 연동하고 그 기능을 더 정교하고 사용자 친화적인 방식으로 제공하는 자신만의 탈중앙화 앱(dApp)을 만들 수 있습니다.

## dApp이란 무엇인가

탈중앙화 애플리케이션, 즉 dApp은 중앙 서버가 아니라 분산된 피어투피어 네트워크에서 실행되는 애플리케이션입니다.

블록체인 맥락에서 dApp은 Web API 서비스 대신 스마트 계약과, 경우에 따라 P2P 네트워크를 사용합니다. dApp은 프런트엔드를 노출하고 블록체인에서 정보를 일시적으로 캐시할 수도 있지만, 최종 결과는 결국 온체인에 반영됩니다.

다음 [이 사이트](https://blockchainhub.net/decentralized-applications-dapps/) dApp에 대한 더 완전한 개요를 위해.

## Decentraland 스마트 컨트랙트

Decentraland는 LAND 및 MANA 토큰과 상호작용하는 여러 스마트 계약을 작성하고 유지 관리합니다.

LAND 및 MANA 토큰 자체는 다음에 의해 정의됩니다. *LANDregistry* 과 *MANAtoken* 계약입니다. 목록에는 여러 필지로 부동산을 만들거나 필지에 담보 대출을 설정하는 것과 같은 더 구체적인 계약도 포함되어 있습니다.

* [Decentraland 스마트 컨트랙트](https://contracts.decentraland.org/addresses.json): 각 계약과 해당 주소의 전체 목록은 여기에서 찾을 수 있습니다.

각 계약에는 프로덕션 버전이 *메인넷* 과 테스트 버전이 *세폴리아* 에 있으며, 각각 다른 주소를 가집니다.

각 계약의 전체 코드를 읽을 수 있습니다. 블록체인에 공개된 정보이기 때문입니다. 예를 들어, 이름으로 계약을 다음에서 찾을 수 있습니다. [Etherscan](https://etherscan.io/contractsVerified) 에서 해당 내용을 읽을 수 있습니다.

## dApp 보일러플레이트 코드

* [보일러플레이트 코드](https://github.com/decentraland/dapp-boilerplate): 이 보일러플레이트 코드는 자신만의 dApp을 구축하기 위한 출발점이 될 수 있습니다. 이 저장소는 보관되었고 더 이상 유지 관리되지 않으므로, 최신 템플릿이 아니라 참고용으로 사용하세요.

## 도움 라이브러리

사내에서 자체 dApp을 개발하면서, 저희는 여러분에게도 유용할 수 있는 몇 가지 도움 라이브러리를 만들었습니다.

* [Decentraland-dapps](https://github.com/decentraland/decentraland-dapps): 이는 dApp용 공통 모듈을 포함한 상위 수준 라이브러리로, Decentraland 자체 애플리케이션에서 활발히 사용됩니다.
* [Decentraland UI](https://ui.decentraland.org/): 이 라이브러리에는 Decentraland 프로젝트에 포함된 재사용 가능한 UI 요소들이 포함되어 있습니다.
* [Decentraland-eth](https://github.com/decentraland/decentraland-eth): 이는 Ethereum 블록체인과 작업하기 위한 유틸리티 함수를 제공하는 저수준 라이브러리입니다. 이 저장소는 보관되었고 더 이상 유지 관리되지 않는다는 점에 유의하세요.

## 샘플 dApp

아래에는 Decentraland를 중심으로 우리가 만든 여러 dApp의 전체 코드 링크가 있습니다. 여러분이 직접 만드는 데 도움이 될 수 있습니다:

* [Gate](https://github.com/decentraland/gate): 이 기본 dApp은 Decentraland가 비공개 베타 단계에 있었을 때 사용된 초대 NFT를 생성합니다. 초기에는 이 NFT를 보유한 화이트리스트 플레이어만 메타버스에 들어갈 수 있었습니다.
* [마켓플레이스](https://github.com/decentraland/marketplace): 이는 Decentraland를 실행하는 전체 애플리케이션입니다 [마켓플레이스](https://market.decentraland.org/). 빠르게 실행하려면, LAND에 대한 정보로 인덱스를 만들기 위해 Ethereum 네트워크에 연결된 데이터베이스와 백엔드 서버가 필요합니다.

## dApp 테스트 프레임워크

dApp을 프로덕션에 출시하기 전에 먼저 테스트하는 것을 권장합니다.

* [dAppeteer](https://github.com/decentraland/dappeteer): 이 프레임워크는 dApp에서 테스트를 실행하는 데 도움이 되도록 만들었습니다. 이 저장소는 보관되었고 더 이상 유지 관리되지 않는다는 점에 유의하세요.

## Decentraland 스마트 컨트랙트

다음 링크에서 Decentraland 생태계와 관련된 Etherum 스마트 컨트랙트 목록을 찾을 수 있습니다. 이 목록에는 메인넷의 컨트랙트뿐만 아니라 다른 Ethereum 테스트 네트워크의 컨트랙트도 포함되어 있습니다.

[contracts.decentraland.org](https://contracts.decentraland.org/links)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/creator/content-creator-ko/sdk7/blockchain/create-a-dapp.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
